# MatILUFactorSymbolic

Performs symbolic ILU factorization of a matrix. Uses levels of fill only, not drop tolerance. Use MatLUFactorNumeric() to complete the factorization.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatILUFactorSymbolic(Mat mat,IS row,IS col,MatFactorInfo *info,Mat *fact)

Collective on Mat

### Input Parameters

| mat | - the matrix
| row | - row permutation
| column | - column permutation
| info | - structure containing

         levels - number of levels of fill.

         expected fill - as ratio of original fill.

         1 or 0 - indicating force fill on diagonal (improves robustness for matrices

missing diagonal entries)

### Output Parameters

fact -new matrix that has been symbolically factored

### Notes

See the users manual for additional information about choosing the fill factor for better efficiency.

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatLUFactorSymbolic(), MatLUFactorNumeric(), MatCholeskyFactor()
MatGetOrdering(), MatFactorInfo

Level:developer
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages